---
sidebar_label: DeviceRequestPrompt.select
---

# DeviceRequestPrompt.select() method

Select a device in the prompt's list.

#### Signature:

```typescript
class DeviceRequestPrompt {
  select(device: DeviceRequestPromptDevice): Promise<void>;
}
```

## Parameters

| Parameter | Type                                                                  | Description |
| --------- | --------------------------------------------------------------------- | ----------- |
| device    | [DeviceRequestPromptDevice](./puppeteer.devicerequestpromptdevice.md) |             |

**Returns:**

Promise&lt;void&gt;
